Pterodactyldocs
Application nodes allocations

List allocations

Lists allocations added to the node

Available include parameters

ParameterDescription
nodeInformation about the node the allocation belongs to
serverInformation about the server the allocation belongs to
GET/api/application/nodes/{node}/allocations

Authorization

ApplicationToken
AuthorizationBearer <token>

Application API key (generated at /admin/api)

In: header

Path Parameters

node*integer

Node ID

Response Body

application/json

curl -X GET "https://example.com/api/application/nodes/1/allocations"
{  "object": "list",  "data": [    {      "object": "allocation",      "attributes": {        "id": 1,        "ip": "45.86.168.218",        "alias": null,        "port": 25565,        "notes": null,        "assigned": true      }    },    {      "object": "allocation",      "attributes": {        "id": 2,        "ip": "45.86.168.218",        "alias": null,        "port": 25566,        "notes": "Votifier",        "assigned": true      }    },    {      "object": "allocation",      "attributes": {        "id": 3,        "ip": "45.86.168.218",        "alias": null,        "port": 25567,        "notes": null,        "assigned": false      }    },    {      "object": "allocation",      "attributes": {        "id": 4,        "ip": "45.86.168.218",        "alias": null,        "port": 25568,        "notes": null,        "assigned": false      }    },    {      "object": "allocation",      "attributes": {        "id": 5,        "ip": "45.86.168.218",        "alias": null,        "port": 25569,        "notes": null,        "assigned": false      }    },    {      "object": "allocation",      "attributes": {        "id": 6,        "ip": "45.86.168.218",        "alias": null,        "port": 25570,        "notes": null,        "assigned": false      }    },    {      "object": "allocation",      "attributes": {        "id": 8,        "ip": "10.0.0.1",        "alias": null,        "port": 25565,        "notes": null,        "assigned": false      }    },    {      "object": "allocation",      "attributes": {        "id": 9,        "ip": "45.86.168.218",        "alias": null,        "port": 25571,        "notes": null,        "assigned": false      }    },    {      "object": "allocation",      "attributes": {        "id": 10,        "ip": "45.86.168.218",        "alias": null,        "port": 25572,        "notes": null,        "assigned": false      }    },    {      "object": "allocation",      "attributes": {        "id": 11,        "ip": "45.86.168.218",        "alias": null,        "port": 25573,        "notes": null,        "assigned": false      }    },    {      "object": "allocation",      "attributes": {        "id": 12,        "ip": "45.86.168.218",        "alias": null,        "port": 25574,        "notes": null,        "assigned": false      }    },    {      "object": "allocation",      "attributes": {        "id": 13,        "ip": "45.86.168.218",        "alias": null,        "port": 25575,        "notes": null,        "assigned": false      }    },    {      "object": "allocation",      "attributes": {        "id": 14,        "ip": "45.86.168.218",        "alias": null,        "port": 25576,        "notes": null,        "assigned": false      }    },    {      "object": "allocation",      "attributes": {        "id": 15,        "ip": "45.86.168.218",        "alias": null,        "port": 25577,        "notes": null,        "assigned": false      }    },    {      "object": "allocation",      "attributes": {        "id": 16,        "ip": "45.86.168.218",        "alias": null,        "port": 25578,        "notes": null,        "assigned": false      }    },    {      "object": "allocation",      "attributes": {        "id": 17,        "ip": "45.86.168.218",        "alias": null,        "port": 25579,        "notes": null,        "assigned": false      }    },    {      "object": "allocation",      "attributes": {        "id": 18,        "ip": "45.86.168.218",        "alias": null,        "port": 25580,        "notes": null,        "assigned": false      }    }  ],  "meta": {    "pagination": {      "total": 17,      "count": 17,      "per_page": 50,      "current_page": 1,      "total_pages": 1,      "links": {}    }  }}